Mise à jour impossibles

Résolu/Fermé
patchako - 5 févr. 2008 à 00:23
 Patchako - 7 févr. 2008 à 00:29
Bonjour,
Je suis sous Kubuntu 7.04. je ne peut plus ouvrir les logiciels Ajout / suppression de logiciels et Adept updater car linux m'affiche le message : Un autre processus utilise la base de donnée du système de paquets (probablement une autre application Adept, apt-get ou Aptitude). Veuillez fermer cet autre programme avant d'utiliser celui-ci.

Je ne comprends pas pourquoi car il n'y pas de programmes lancés ni de téléchargement en cour et même en reboutant le système le problème persiste et dans la table des processus je ne trouve pas l'application qui cause ce problème.
A voir également:

7 réponses

lami20j Messages postés 21331 Date d'inscription jeudi 4 novembre 2004 Statut Modérateur, Contributeur sécurité Dernière intervention 30 octobre 2019 3 566
5 févr. 2008 à 06:29
Salut,

affiche le résultat de
ps aux | grep -E 'a(|de)pt'

0
Voici ce que ça donne :

root@colonges:~# ps aux | grep -E 'a(|de)pt'
colonges 5138 1.0 4.5 32204 14696 ? S 20:08 0:25 adept_notifier
0
Salut,

Maintenant tu tapes
sudo kill -9   5138
et après tu sors de la console. Maintenant, tu peux faire tes mises à jour et installer les logiciels que tu veux.
0
Merci pour ta réponse mais ça ne marche toujours pas et maintnant si je tape la commande : ps aux | grep -E 'a(|de)pt', plus rien ne s'affiche.
0
Affiche
ps aux  |grep adept
0
Voici ce qui s'affiche :

root@colonges:~# ps aux |grep adept
root 6369 0.0 0.2 2896 764 pts/2 R+ 23:15 0:00 grep adept
0
Je vais essayer (selon mes quelques connaissances) de t'expliquer ce qu'on fait :

En fait, on voit qu'un processus de Adept ou apt-get ou Aptitude est en cours (ton premier post). Par conséquent, on tape une commande pour savoir quel processus ayant pour dénominateur "Adept" (car tu as manipulé adept et non pas apt-get ni aptitude) utilise la base de donnée ( ps aux |grep adept).
Au vu de ton dernier post, on voit que Adept avec le processus n° 6369 (lancé par root) utilise la base de donnée et qu'il est coincé au milieu sans avoir pu terminer. On va donc "tuer" le processus. Donc, on tape la commande
sudo kill -9   6369


Voila ce que je peux dire sans trop me planter (j'espère).
0

Vous n’avez pas trouvé la réponse que vous recherchez ?

Posez votre question
lami20j Messages postés 21331 Date d'inscription jeudi 4 novembre 2004 Statut Modérateur, Contributeur sécurité Dernière intervention 30 octobre 2019 3 566
6 févr. 2008 à 12:34
Salut,

root 6369 0.0 0.2 2896 764 pts/2 R+ 23:15 0:00 grep adept
Oui, tu t'es planté cette fois ;-))

en fait 6369 c'était le PID de la commande grep adept qui c'est finie ;-))

d'ailleurs même la 1ère commande que j'ai donnée, vu le décalage horaire, n'a pas de sens s'il a éteint le PC

tu peux tout simplement démarrer la mise à jour
sudo aptitude update
sudo aptitude upgrade


0
Bonjour Lami20j,

Comme tu vois, je ne suis pas encore au top pour décoder les infos :-(
C'est pas très grave, j'avance, et c'est le principal.
0
lami20j Messages postés 21331 Date d'inscription jeudi 4 novembre 2004 Statut Modérateur, Contributeur sécurité Dernière intervention 30 octobre 2019 3 566
6 févr. 2008 à 13:19
Bonjour zustu,

pas des soucis ;-)
oui, le principal c'est que tu avances ;-)

bonne continuation
0
Patchako > lami20j Messages postés 21331 Date d'inscription jeudi 4 novembre 2004 Statut Modérateur, Contributeur sécurité Dernière intervention 30 octobre 2019
6 févr. 2008 à 20:46
C'est toujours bloqué voici ce que ça donne :
root@colonges:~# sudo aptitude upgrade
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture de l'information d'état... Fait
Initialisation de l'état des paquets... Fait
Construction de la base de données des étiquettes... Fait
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
root@colonges:~# sudo aptitude update
Prendre :1 https://ubuntu.com/security/notices feisty-security Release.gpg [191B]
Ign https://ubuntu.com/security/notices feisty-security/main Translation-fr
Ign https://ubuntu.com/security/notices feisty-security/restricted Translation-fr
Ign https://ubuntu.com/security/notices feisty-security/universe Translation-fr
Ign https://ubuntu.com/security/notices feisty-security/multiverse Translation-fr
Atteint https://ubuntu.com/security/notices feisty-security Release
Prendre :2 http://fr.archive.ubuntu.com feisty Release.gpg [191B]
Atteint http://fr.archive.ubuntu.com feisty/main Translation-fr
Atteint http://fr.archive.ubuntu.com feisty/restricted Translation-fr
Atteint http://fr.archive.ubuntu.com feisty/universe Translation-fr
Atteint http://fr.archive.ubuntu.com feisty/multiverse Translation-fr
Prendre :3 http://fr.archive.ubuntu.com feisty-updates Release.gpg [191B]
Ign http://fr.archive.ubuntu.com feisty-updates/main Translation-fr
Ign http://fr.archive.ubuntu.com feisty-updates/restricted Translation-fr
Atteint http://fr.archive.ubuntu.com feisty Release
Atteint http://fr.archive.ubuntu.com feisty-updates Release
Atteint https://ubuntu.com/security/notices feisty-security/main Packages
Atteint http://fr.archive.ubuntu.com feisty/main Packages
Atteint https://ubuntu.com/security/notices feisty-security/restricted Packages
Atteint https://ubuntu.com/security/notices feisty-security/main Sources
Atteint https://ubuntu.com/security/notices feisty-security/restricted Sources
Atteint http://fr.archive.ubuntu.com feisty/restricted Packages
Atteint http://fr.archive.ubuntu.com feisty/main Sources
Atteint https://ubuntu.com/security/notices feisty-security/universe Packages
Atteint https://ubuntu.com/security/notices feisty-security/universe Sources
Atteint https://ubuntu.com/security/notices feisty-security/multiverse Packages
Atteint https://ubuntu.com/security/notices feisty-security/multiverse Sources
Atteint http://fr.archive.ubuntu.com feisty/restricted Sources
Atteint http://fr.archive.ubuntu.com feisty/universe Packages
Atteint http://fr.archive.ubuntu.com feisty/universe Sources
Atteint http://fr.archive.ubuntu.com feisty/multiverse Packages
Atteint http://fr.archive.ubuntu.com feisty/multiverse Sources
Atteint http://fr.archive.ubuntu.com feisty-updates/main Packages
Atteint http://fr.archive.ubuntu.com feisty-updates/restricted Packages
Atteint http://fr.archive.ubuntu.com feisty-updates/main Sources
Atteint http://fr.archive.ubuntu.com feisty-updates/restricted Sources
3o téléchargés en 2s (1o/s)
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: Impossible de reconstruire le cache des paquets
root@colonges:~# sudo aptitude upgrade
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture de l'information d'état... Fait
Initialisation de l'état des paquets... Fait
Construction de la base de données des étiquettes... Fait
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.


J'ai aussi remarqué que si je tape plusieurs fois la commande :ps aux |grep adept le résultat change à chaques fois.
Exemple :

root@colonges:~# ps aux |grep adept
colonges 5134 2.2 4.4 32336 14412 ? S 19:45 1:18 adept_notifier
root 5750 0.0 0.2 2900 776 pts/2 R+ 20:44 0:00 grep adept
root@colonges:~# ps aux |grep adept
colonges 5134 2.2 4.4 32336 14412 ? S 19:45 1:18 adept_notifier
root 5752 0.0 0.2 2900 768 pts/2 R+ 20:45 0:00 grep adept
root@colonges:~# ps aux |grep adept
colonges 5134 2.2 4.4 32336 14412 ? S 19:45 1:18 adept_notifier
root 5754 0.0 0.2 2900 772 pts/2 R+ 20:45 0:00 grep adept
root@colonges:~# ps aux |grep adept
colonges 5134 2.1 4.4 32336 14412 ? S 19:45 1:18 adept_notifier
root 5756 0.0 0.2 2900 772 pts/2 R+ 20:45 0:00 grep adept
root@colonges:~# ps aux |grep adept
colonges 5134 2.1 4.4 32336 14412 ? S 19:45 1:18 adept_notifier
root 5758 0.0 0.2 2900 768 pts/2 R+ 20:45 0:00 grep adept
root@colonges:~# ps aux |grep adept
colonges 5134 2.1 4.4 32336 14412 ? S 19:45 1:18 adept_notifier
root 5760 0.0 0.2 2900 768 pts/2 R+ 20:45 0:00 grep adept
0
lami20j Messages postés 21331 Date d'inscription jeudi 4 novembre 2004 Statut Modérateur, Contributeur sécurité Dernière intervention 30 octobre 2019 3 566
6 févr. 2008 à 23:29
Salut,

laisse tomber ps aux | grep adept ;-)
la commande c'était juste pour trouver si un processus est en marche

en revanche fait ce que te dit

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.

donc tape

sudo dpkg --configure -a 
et prends un café en attendant que la commande finis son travail ;-)
0
ça y est ça marche, Je te remercie pour ton aide précieuse, c'est très agréable de voir l'aide que l'on peut avoir quand on est novice sous linux.

Merci.
0